This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1277100 - Review Request: perl-Cache-LRU - Simple, fast implementation of LRU cache in pure perl
Review Request: perl-Cache-LRU - Simple, fast implementation of LRU cache in ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Petr Pisar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1276813
  Show dependency treegraph
 
Reported: 2015-11-02 06:08 EST by Jitka Plesnikova
Modified: 2015-11-12 18:28 EST (History)
2 users (show)

See Also:
Fixed In Version: perl-Cache-LRU-0.04-1.fc24
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-12 18:28:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ppisar: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Jitka Plesnikova 2015-11-02 06:08:18 EST
Spec URL: https://jplesnik.fedorapeople.org/perl-Cache-LRU/perl-Cache-LRU.spec
SRPM URL: https://jplesnik.fedorapeople.org/perl-Cache-LRU/perl-Cache-LRU-0.04-1.fc24.src.rpm
Description:
Cache::LRU is a simple, fast implementation of an in-memory LRU cache in
pure perl.

Fedora Account System Username: jplesnik@redhat.com
Comment 1 Upstream Release Monitoring 2015-11-02 09:20:31 EST
ppisar's scratch build of perl-Cache-LRU-0.04-1.fc24.src.rpm for f24 completed http://koji.fedoraproject.org/koji/taskinfo?taskID=11672345
Comment 2 Petr Pisar 2015-11-02 09:23:15 EST
URL and Source0 addresses are usable. Ok.
Source archive is original (SHA-256:1a38d62365ded89315568a80c31f5bf77f1330bf20463ce11a35a6489a6abdc4).
Ok.
Summary verified from lib/Cache/LRU.pm. Ok.
Description verified from lib/Cache/LRU.pm. Ok.

TODO: Capitalize the "perl" word in the summary and the description. It's used as a name of the programming language.

License verified from README, lib/Cache/LRU.pm. Ok.
No XS code, noarch BuildArch is Ok.

FIX: Do not build-require `perl(Test::Requires)'. It's not used anywhere.

All tests pass. Ok.

$ rpmlint perl-Cache-LRU.spec ../SRPMS/perl-Cache-LRU-0.04-1.fc24.src.rpm ../RPMS/noarch/perl-Cache-LRU-0.04-1.fc24.noarch.rpm 
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
rpmlint is Ok.

$ rpm -q -lv -p ../RPMS/noarch/perl-Cache-LRU-0.04-1.fc24.noarch.rpm 
drwxr-xr-x    2 root    root                        0 Nov  2 15:08 /usr/share/doc/perl-Cache-LRU
-rw-r--r--    1 root    root                      296 Apr  7  2014 /usr/share/doc/perl-Cache-LRU/Changes
-rw-r--r--    1 root    root                     1293 Nov  2 15:08 /usr/share/doc/perl-Cache-LRU/README
-rw-r--r--    1 root    root                     1779 Nov  2 15:08 /usr/share/man/man3/Cache::LRU.3pm.gz
drwxr-xr-x    2 root    root                        0 Nov  2 15:08 /usr/share/perl5/vendor_perl/Cache
-rw-r--r--    1 root    root                     3277 Apr  7  2014 /usr/share/perl5/vendor_perl/Cache/LRU.pm
File layout and permissions is Ok.

$ rpm -q --requires -p ../RPMS/noarch/perl-Cache-LRU-0.04-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(:MODULE_COMPAT_5.22.0)
      1 perl(:VERSION) >= 5.8.0
      1 perl(Scalar::Util)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
Binary requires are Ok.

$ rpm -q --provides -p ../RPMS/noarch/perl-Cache-LRU-0.04-1.fc24.noarch.rpm | sort -f | uniq -c
      1 perl(Cache::LRU) = 0.04
      1 perl-Cache-LRU = 0.04-1.fc24
Binary provides are Ok.

$ resolvedeps rawhide ../RPMS/noarch/perl-Cache-LRU-0.04-1.fc24.noarch.rpm 
Binary dependencies resolvable. Ok.

Package builds in F24 (http://koji.fedoraproject.org/koji/taskinfo?taskID=11672345). Ok.

Othwerwise the package is in line with Fedora and Perl packaging guidelines.

Please correct all `FIX' items and consider fixing `TODO' items before building this package.
Resolution: Package APPROVED.
Comment 3 Gwyn Ciesla 2015-11-02 10:46:23 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/perl-Cache-LRU
Comment 4 Fedora Update System 2015-11-02 11:25:17 EST
perl-Cache-LRU-0.04-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-4fd78b6554
Comment 5 Jitka Plesnikova 2015-11-02 11:29:50 EST
Thank you for the review and the repository.
Comment 6 Fedora Update System 2015-11-02 19:23:43 EST
perl-Cache-LRU-0.04-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update perl-Cache-LRU'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-4fd78b6554
Comment 7 Fedora Update System 2015-11-12 18:28:48 EST
perl-Cache-LRU-0.04-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.